Imagick::liquidRescaleImage
Imagick::mapImage
Imagick
PHP Manual

# Imagick::magnifyImage

(PECL imagick 2.0.0)

Imagick::magnifyImage — Scales an image proportionally 2x

### Description

bool Imagick::magnifyImage ( void )

Is a convenience method that scales an image proportionally to twice its original size.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::liquidRescaleImage
Imagick::mapImage
Imagick
PHP Manual